Bug 984532 - quagga: please disable OSPF API and client
quagga: please disable OSPF API and client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 08:55 EDT by Florian Weimer
Modified: 2013-08-14 22:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: quagga-0.99.22.1-9.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 984533 (view as bug list)
Environment:
Last Closed: 2013-08-14 22:30:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-07-15 08:55:42 EDT
Upstream considers this a fringe feature which does not work properly:

<http://lists.quagga.net/pipermail/quagga-dev/2013-July/010651.html>
Comment 1 Michal Sekletar 2013-07-16 08:35:06 EDT
I will gladly disable ospfapi and ospfclient in rawhide and RHEL7. What about other still supported Fedora releases? Should I backport upstream patch or disable the feature as well? I don't think there are any users in Fedora, thus I'd say we should go ahead and disable it everywhere.
Comment 2 Florian Weimer 2013-07-16 08:36:45 EDT
(In reply to Michal Sekletar from comment #1)
> I will gladly disable ospfapi and ospfclient in rawhide and RHEL7. What
> about other still supported Fedora releases? Should I backport upstream
> patch or disable the feature as well? I don't think there are any users in
> Fedora, thus I'd say we should go ahead and disable it everywhere.

I think for Fedora, it's okay to remove support on older releases as well, although it changes ABI.
Comment 3 Fedora Update System 2013-07-28 11:27:47 EDT
quagga-0.99.21-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/quagga-0.99.21-5.fc18
Comment 4 Fedora Update System 2013-07-28 11:29:06 EDT
quagga-0.99.22.1-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/quagga-0.99.22.1-9.fc19
Comment 5 Fedora Update System 2013-07-28 20:29:30 EDT
Package quagga-0.99.21-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing quagga-0.99.21-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13814/quagga-0.99.21-5.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-14 22:30:13 EDT
quagga-0.99.21-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-14 22:51:21 EDT
quagga-0.99.22.1-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.